Examplary
Start for free
Developer docs

Update session

PATCHhttps://api.examplary.ai/exams/{id}/sessions/{sessionId}

Update an exam session's student name, external ID or metadata. Renaming the student is not allowed for sessions connected to a user account.

Path parameters

idstringrequired
sessionIdstringrequired

Request body

studentNamestring· min length: 2· max length: 255
externalIdstring· max length: 255· nullable

ID of the session in an external system. Set to null to remove it.

metadataobject· nullable

Metadata to merge into the session's existing metadata. Set a key to null to remove it.

Responses

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

Requirements

User roles

This endpoint requires the teacher, admin, or owner role to be present.

OAuth scopes

This endpoint requires the exams:write scope to be present.